package safehome.netcameraviewer;

import java.io.IOException;
import java.net.UnknownHostException;

import safehome.device.netcamera.NetworkCamera;



public class CameraViewerMain 
{

	
	
	private final static String safehomeCoreIP = "verifier.kaist.ac.kr";
	
	private final static int safehomeCorePort = 2112;
	
	

	public static void main(String[] args)
	{
		
		NetworkCamera camera = null;
		try {
			camera = new NetworkCamera(safehomeCoreIP, safehomeCorePort);
		} catch (UnknownHostException e) {
			e.printStackTrace();
			System.exit(1);
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
		
		new Thread(camera).start();
		
		new CameraViewer(camera);
	}
}
